## Index

### Modules

- posix
- win32

### Interfaces

- FormatInputPathObject
- ParsedPath

### Variables

- delimiter
- sep

### Functions

- basename
- dirname
- extname
- format
- isAbsolute
- join
- normalize
- parse
- relative
- resolve

## Variables

### Const delimiter

delimiter: ";" | ":"

- Defined in node_modules/@types/node/path.d.ts:116

The platform-specific file delimiter. ';' or ':'.

### Const sep

sep: "\" | "/"

- Defined in node_modules/@types/node/path.d.ts:112

The platform-specific file separator. '\' or '/'.

## Functions

### basename

- basename(p: string, ext?: undefined | string): string

- - Defined in node_modules/@types/node/path.d.ts:101

  Return the last portion of a path. Similar to the Unix basename command. Often used to extract the file name from a fully qualified path.

  #### Parameters

  - ##### p: string

    the path to evaluate.

  - ##### Optional ext: undefined | string

    optionally, an extension to remove from the result.

  #### Returns string

### dirname

- dirname(p: string): string

- - Defined in node_modules/@types/node/path.d.ts:93

  Return the directory name of a path. Similar to the Unix dirname command.

  #### Parameters

  - ##### p: string

    the path to evaluate.

  #### Returns string

### extname

- extname(p: string): string

- - Defined in node_modules/@types/node/path.d.ts:108

  Return the extension of the path, from the last '.' to end of string in the last portion of the path. If there is no '.' in the last portion of the path or the first character of it is '.', then it returns an empty string

  #### Parameters

  - ##### p: string

    the path to evaluate.

  #### Returns string

### format

- format(pathObject: FormatInputPathObject): string

- - Defined in node_modules/@types/node/path.d.ts:128

  Returns a path string from an object - the opposite of parse().

  #### Parameters

  - ##### pathObject: FormatInputPathObject

  #### Returns string

### isAbsolute

- isAbsolute(path: string): boolean

- - Defined in node_modules/@types/node/path.d.ts:82

  Determines whether {path} is an absolute path. An absolute path will always resolve to the same location, regardless of the working directory.

  #### Parameters

  - ##### path: string

    path to test.

  #### Returns boolean

### join

- join(...paths: string[]): string

- - Defined in node_modules/@types/node/path.d.ts:63

  Join all arguments together and normalize the resulting path. Arguments must be strings. In v0.8, non-string arguments were silently ignored. In v0.10 and up, an exception is thrown.

  #### Parameters

  - ##### Rest ...paths: string[]

    paths to join.

  #### Returns string

### normalize

- normalize(p: string): string

- - Defined in node_modules/@types/node/path.d.ts:56

  Normalize a string path, reducing '..' and '.' parts. When multiple slashes are found, they're replaced by a single one; when the path contains a trailing slash, it is preserved. On Windows backslashes are used.

  #### Parameters

  - ##### p: string

    string path to normalize.

  #### Returns string

### parse

- parse(pathString: string): ParsedPath

- - Defined in node_modules/@types/node/path.d.ts:122

  Returns an object from a path string - the opposite of format().

  #### Parameters

  - ##### pathString: string

    path to evaluate.

  #### Returns ParsedPath

### relative

- relative(from: string, to: string): string

- - Defined in node_modules/@types/node/path.d.ts:87

  Solve the relative path from {from} to {to}. At times we have two absolute paths, and we need to derive the relative path from one to the other. This is actually the reverse transform of path.resolve.

  #### Parameters

  - ##### from: string

  - ##### to: string

  #### Returns string

### resolve

- resolve(...pathSegments: string[]): string

- - Defined in node_modules/@types/node/path.d.ts:76

  The right-most parameter is considered {to}. Other parameters are considered an array of {from}.

  Starting from leftmost {from} parameter, resolves {to} to an absolute path.

  If {to} isn't already absolute, {from} arguments are prepended in right to left order, until an absolute path is found. If after using all {from} paths still no absolute path is found, the current working directory is used as well. The resulting path is normalized, and trailing slashes are removed unless the path gets resolved to the root directory.

  #### Parameters

  - ##### Rest ...pathSegments: string[]

    string paths to join. Non-string arguments are ignored.

  #### Returns string

Generated using TypeDoc